DescribeAvailableBorderGateway
1. API Description
This API (DescribeAvailableBorderGateway) is used to query the list of border gateways that can be associated with a NAT gateway.
2. Input Parameters
The following request parameter list only provides API request parameters.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
zbgId
String
Border gateway ID.
4. Code Example
1. Query the border gateways that can be associated with a NAT gateway.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeAvailableBorderGateway
<Common Request Params>
Request:
{
"natGatewayId": "<natGatewayId>"
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"zbgId": "<zbgId>"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_NAT_NOT_FOUND
NAT gateway does not exist.
400
OPERATION_DENIED_NAT_STATUS
NAT gateway state is not RUNNING.
400
OPERATION_DENIED_NAT_ZBG_ASSOCIATE
NAT gateway is bound to a border gateway already.
Last updated